be.fgov.ehealth.aa.complextype.v1

## Class BaseNameType

- java.lang.Object
- - be.fgov.ehealth.aa.complextype.v1.BaseNameType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    Description, NameType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:20:50+02:00",
                 comments="JAXB RI v2.3.7")
      public class BaseNameType
      extends Object
      implements Serializable

  Localized string.

  Java class for BaseNameType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="BaseNameType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute ref="{http://www.w3.org/XML/1998/namespace}lang"/>
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseNameType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLang()` Gets the value of the lang property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setLang(String value)` Sets the value of the lang property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseNameType

          public BaseNameType()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLang

          public String getLang()

      Gets the value of the lang property.
      Returns:
        possible object is `String`

    - #### setLang

          public void setLang(String value)

      Sets the value of the lang property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSAUDIOLOGIST 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.